/*!
 * nuxt-edge v2.17.2-28271541.6132947 (c) 2016-2023
 * Released under the MIT License
 * Repository: https://github.com/nuxt/nuxt.js
 * Website: https://nuxtjs.org
*/
'use strict';

const coreEdge = require('@nuxt/core-edge');
const builderEdge = require('@nuxt/builder-edge');
const generatorEdge = require('@nuxt/generator-edge');
const cliEdge = require('@nuxt/cli-edge');



Object.defineProperty(exports, 'getWebpackConfig', {
	enumerable: true,
	get: function () { return cliEdge.getWebpackConfig; }
});
Object.keys(coreEdge).forEach(function (k) {
	if (k !== 'default' && !Object.prototype.hasOwnProperty.call(exports, k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return coreEdge[k]; }
	});
});
Object.keys(builderEdge).forEach(function (k) {
	if (k !== 'default' && !Object.prototype.hasOwnProperty.call(exports, k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return builderEdge[k]; }
	});
});
Object.keys(generatorEdge).forEach(function (k) {
	if (k !== 'default' && !Object.prototype.hasOwnProperty.call(exports, k)) Object.defineProperty(exports, k, {
		enumerable: true,
		get: function () { return generatorEdge[k]; }
	});
});
